> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# View a room participant.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/real-time-communications/video.yml get /room_participants/{room_participant_id}
openapi: 3.1.0
info:
  title: Telnyx Video API
  version: 2.0.0
  description: API for Video.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /room_participants/{room_participant_id}:
    get:
      tags:
        - Room Participants
      summary: View a room participant.
      operationId: ViewRoomParticipant
      parameters:
        - name: room_participant_id
          in: path
          description: The unique identifier of a room participant.
          required: true
          schema:
            type: string
            format: uuid
            example: 0ccc7b54-4df3-4bca-a65a-3da1ecc777f0
      responses:
        '200':
          $ref: '#/components/responses/GetRoomParticipantResponse'
        '404':
          $ref: '#/components/responses/video_ResourceNotFound'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            const roomParticipant = await client.roomParticipants.retrieve(
              '0ccc7b54-4df3-4bca-a65a-3da1ecc777f0',
            );

            console.log(roomParticipant.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            room_participant = client.room_participants.retrieve(
                "0ccc7b54-4df3-4bca-a65a-3da1ecc777f0",
            )
            print(room_participant.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\troomParticipant, err := client.RoomParticipants.Get(context.TODO(), \"0ccc7b54-4df3-4bca-a65a-3da1ecc777f0\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", roomParticipant.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.roomparticipants.RoomParticipantRetrieveParams;

            import
            com.telnyx.sdk.models.roomparticipants.RoomParticipantRetrieveResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    RoomParticipantRetrieveResponse roomParticipant = client.roomParticipants().retrieve("0ccc7b54-4df3-4bca-a65a-3da1ecc777f0");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            room_participant =
            telnyx.room_participants.retrieve("0ccc7b54-4df3-4bca-a65a-3da1ecc777f0")


            puts(room_participant)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $roomParticipant = $client->roomParticipants->retrieve(
                '0ccc7b54-4df3-4bca-a65a-3da1ecc777f0'
              );

              var_dump($roomParticipant);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx room-participants retrieve \
              --api-key 'My API Key' \
              --room-participant-id 0ccc7b54-4df3-4bca-a65a-3da1ecc777f0
components:
  responses:
    GetRoomParticipantResponse:
      description: Get room participant response.
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                $ref: '#/components/schemas/RoomParticipant'
    video_ResourceNotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/video_Error'
  schemas:
    RoomParticipant:
      type: object
      properties:
        id:
          description: A unique identifier for the room participant.
          type: string
          format: uuid
          example: 0ccc7b54-4df3-4bca-a65a-3da1ecc777f0
        session_id:
          description: Identify the room session that participant is part of.
          type: string
          format: uuid
          example: 0ccc7b54-4df3-4bca-a65a-3da1ecc777b0
        context:
          description: Context provided to the given participant through the client SDK
          type: string
          example: Alice
        joined_at:
          description: ISO 8601 timestamp when the participant joined the session.
          type: string
          format: date-time
          example: '2021-03-26T17:51:59.588408Z'
        updated_at:
          description: ISO 8601 timestamp when the participant was updated.
          type: string
          format: date-time
          example: '2021-03-26T17:51:59.588408Z'
        left_at:
          description: ISO 8601 timestamp when the participant left the session.
          type: string
          format: date-time
          example: '2021-03-26T17:51:59.588408Z'
        record_type:
          type: string
          example: room_participant
          readOnly: true
      example:
        id: 7b61621f-62e0-4aad-ab11-9fd19e272e73
        session_id: 7b61621f-5fe4-4aad-ab11-9fd19e272e73
        context: Alice
        joined_at: '2021-04-16T09:46:20.954863Z'
        updated_at: '2021-04-16T10:24:55.962200Z'
        left_at: '2021-04-16T10:24:55.962200Z'
        record_type: room_participant
    video_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````